Ask Your Question
0

Turtlebot2/RGBDSLAM/kinetic

asked 2021-11-24 12:14:10 -0600

kemo007 gravatar image

updated 2021-11-24 12:22:34 -0600

I follow the instructions in the repo link to install rgbdslam dependencies when i did the command rosdep install rgbdslam , I got this error:

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies:
rgbdslam: Cannot locate rosdep definition for [catkin]
edit retag flag offensive close merge delete

Comments

hi @kemo007. Sorry i edited your question a little, to ensure it's more readable.

rosdepis not an installation tool, it basically checks for missing dependencies. To install from source, please follow this tutorial: http://wiki.ros.org/catkin/Tutorials/...

osilva gravatar image osilva  ( 2021-11-24 12:24:41 -0600 )edit

@osilva thank you for editing. I already did this tutorial but I still got the same error. please any help

kemo007 gravatar image kemo007  ( 2021-11-24 12:32:52 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-11-24 12:44:06 -0600

updated 2021-11-24 18:37:17 -0600

Try this:

$ mkdir -p rgbdslam_ws/src
$ cd rgbdslam_ws/src
$ git clone https://github.com/felixendres/rgbdslam_v2.git
$ cd ..
$ catkin_make

If there are no errors when compiling, then source the package. If there are compiling errors, check the Issues in the repo to see how to solve them. If you still have issues please post another question with the error(s).

$ echo 'source ~/rgbdslam_ws/devel/setup.bash' >> ~/.bashrc
$ source ~/.bashrc

To test:

$ roslaunch rgbdslam openni+rgbdslam.launch

With regards to rosdep error, please refer to this prior answer that explains how rosdepworks: https://answers.ros.org/question/3207...

Additional information: I installed a fresh Kinetic copy to test this repo from source. I found 4 errors due to missing dependencies, addressed with, you will need to do this to get compilation to work.

$ sudo apt-get install ros-kinetic-libg2o
$ sudo apt install ros-kinetic-moveit-ros-perception
$ sudo apt-get install libdevil1c2 libdevil-dev
$ sudo apt install ros-kinetic-openni*

Tested the launch file and it works but there is a connection error but don't have time now to check what is causing it. The installation portion works :) There is a lot of info under Issues section of the repo, so please look at it.

edit flag offensive delete link more

Comments

@osilva, sorry, but I tried to do it again following ur instructions but still got the same error. Any others ideas. i have been trying to solve this issue for a long time.

kemo007 gravatar image kemo007  ( 2021-11-26 06:37:24 -0600 )edit

I don't understand how could you get the same error if I didn't use rosdep in the instructions on purpose. Not possible the error is the same. Anyways, try a fresh install, looks you have broken dependencies. The package builds ok. What OS are you using? Ubuntu 16.04?

osilva gravatar image osilva  ( 2021-11-26 06:58:12 -0600 )edit

@osilva, ubuntu 16.04, ROS Kinetic

kemo007 gravatar image kemo007  ( 2021-11-26 07:19:26 -0600 )edit

Start a fresh ROS installation, don't install anything else until you compile RGBDA package.

After ROS installation, install the dependencies first:

$ sudo apt-get install ros-kinetic-libg2o
$ sudo apt install ros-kinetic-moveit-ros-perception
$ sudo apt-get install libdevil1c2 libdevil-dev
$ sudo apt install ros-kinetic-openni*

Then proceed with the installation instructions as per answer. If you encounter issue, pls post the error.

osilva gravatar image osilva  ( 2021-11-26 07:36:36 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2021-11-24 12:14:10 -0600

Seen: 26 times

Last updated: Nov 24 '21